[Support] binhex - DelugeVPN


Recommended Posts

1 hour ago, PeterB said:

Still failing with 1.1.1.1,1.0.0.1

 

34 minutes ago, gzibell said:

Thanks for everything you do!!!  PIA/Wiregaurd was not working for me after updating today as well. Just flipped back to openvpn and that worked so I'll watch for the fix!

pull down the latest image just built, tested and works for me now.

Link to comment
2 hours ago, binhex said:

i think that is a vpn provider issue, i suspect its stuck at waiting for local ip address to be assigned to wg0/tun0, try turning on debug to confirm.

I have had connection issues on the desktop app lately to my usual (PIA) servers. Switching servers fixes but I assume its some teething issues

Edited by localhost
Link to comment

My original error from yesterday was:

Options error: --proto tcp is ambiguous in this context. Please specify --proto tcp-server or --proto tcp-client

 

I've installed the latest version, now I get the following error:

ERROR: Cannot ioctl TUNSETIFF tun: Operation not permitted (errno=1)

 

Turned VPN off, installed sudo, tried the VPN from terminal, with
# sudo openpn --config my_vpn.ovpn

 

ERROR: Cannot open TUN/TAP dev /dev/net/tun: No such file or directory (errno=2)

 

It's totally possible, that I messed up, since I don't speak linux. :)

 

Edit: Yep, my fault, not set to Privileged. Thanks a lot @binhex, top quality support. 

Edited by Lameth
Link to comment

I switched to PIA from Air to get port forwarding.  I used the NexGen servers and everything works.. until it set strict port forward to be on.  It just hangs, and I see nothing in the logs at all happening at the time, even on debug.   And pointers?  It seems like it's polling 10.0.0.1 for a token but that's the IP of my router, could that be a problem?  I'll post logs later with debug if that would help. 

Link to comment
10 minutes ago, dorgan said:

I am having problems with thsi docker, it looks like its unable to connect to VPN, i have followed the instructions and updated ovpn files and certs according FAQ 19.  Attached is log. I am using PIA

supervisord.log 538.67 kB · 1 download

Are you sure you’re using the correct user name and password. It’s the same that you use to login to the PIA website. User name usually starts with a p. You should change your credentials btw. The current ones are contained in the log.

Link to comment

I am having the strangest issue with this Docker and can't for the life of me figure this one out. I have resorted to just dropping in and testing as many OpenVPN config files as I can off of the NordVPN website. I see a lot of conflicting info out there, especially on Reddit, about NordVPN not working within this docker because of it's lack of port forwarding, but then I see guys in here with it working fine. I have been testing a handful of Netherlands servers thus far. One, last night, fired right up and began my downloads, decent speed across the downloads of a combined 2.5mbps, then suddenly about 5min in the speeds tanked all the way down to 0kbps and eventually all the downloads just flat stopped. I tried another Netherlands server this morning, no dice, then a second, and I was downloading again all the way to the files being 97%-99% and then they just tanked to 0kbps again. Tried another two Netherlands servers and nothing got the Downloads moving again. I can see the IP changing when throwing in the new OpenVPN configs so I am sure I am changing servers, I can see anywhere between 10-50 nodes popping up, but no dice.

 

Some of the files say "Error: Host not found (non-authoritative), try again later"

Some say "Announce OK"

Some Say "Error: end of file"

 

Key4: custom

Key5: OpenVPN

Key7: Yes (for strict port forward)

key8: no (enable privoxy)

 

Is there some setup inside of the running Deluge GUI that I am missing? Any other thoughts on the matter? Thank you all!

Link to comment
11 hours ago, wgstarks said:

Are you sure you’re using the correct user name and password. It’s the same that you use to login to the PIA website. User name usually starts with a p. You should change your credentials btw. The current ones are contained in the log.

that was it, hmmm not sure what changed it but updated, and changed password.  Thanks!

Link to comment

So I am having trouble getting Privoxy up and running now. I'm using the latest Deluge build.

 

I've changed to the new NextGen PIA ovpn files. Currently on ca-vancouver as I heard that still supports proxy endpoints but I have tried ca-montreal as well as switzerland and czech_republic. I'm also using the "strong" udp ovpn files from PIA from here. I've looked at the FAQ with no luck.

 

The current error I am getting is:

2020-12-01 20:22:20,343 DEBG 'watchdog-script' stdout output:
[info] Attempting to start Privoxy...

2020-12-01 20:22:20,340 DEBG 'watchdog-script' stdout output:
[info] Privoxy not running

2020-12-01 20:22:20,343 DEBG 'watchdog-script' stdout output:
[info] Attempting to start Privoxy...

2020-12-01 20:22:32,453 DEBG 'watchdog-script' stdout output:
[warn] Wait for Privoxy process to start aborted, too many retries
[info] Showing output from command before exit...

and this just repeats indefinitely.

 

Any insight into this would be awesome!

Link to comment

I've finally given up.  I realized I was on an old version that I had pulled for some reason so I'm now on the latest I can't for the life of me get the next gen PIA endpoints to work with strict port forwarding enabled.  Looking at the log it says the endpoint I'm trying to connected to doesn't support port forwarding but it should and I looks like the ones in the log are the legacy addresses? Hopefully someone can see whatever silly error I'm making.  I also noticed the the auto remove plug-in is not longer there, that's disappointing.  Or did I mess that up too?  Removing strict port forward I'm able to get the gui no issue, any help would be appreciated.

 

Thanks

-cb

supervisord 120202.log

Link to comment
1 hour ago, CBPXXIV said:

I've finally given up.  I realized I was on an old version that I had pulled for some reason so I'm now on the latest I can't for the life of me get the next gen PIA endpoints to work with strict port forwarding enabled.  Looking at the log it says the endpoint I'm trying to connected to doesn't support port forwarding but it should and I looks like the ones in the log are the legacy addresses? Hopefully someone can see whatever silly error I'm making.  I also noticed the the auto remove plug-in is not longer there, that's disappointing.  Or did I mess that up too?  Removing strict port forward I'm able to get the gui no issue, any help would be appreciated.

 

Thanks

-cb

supervisord 120202.log 35.21 kB · 2 downloads

Although France should support this, have you tried changing to a different end point, just to test it?

Have you used the most up to date certs as well? (I'm not sure if this makes a difference, tbh, but I can't see a reason why it would state the next gen France server, then later list some legacy servers.... but I'm not the best at reading the logs!)

Link to comment
2 hours ago, CBPXXIV said:

I've finally given up.  I realized I was on an old version that I had pulled for some reason so I'm now on the latest I can't for the life of me get the next gen PIA endpoints to work with strict port forwarding enabled.  Looking at the log it says the endpoint I'm trying to connected to doesn't support port forwarding but it should and I looks like the ones in the log are the legacy addresses? Hopefully someone can see whatever silly error I'm making.  I also noticed the the auto remove plug-in is not longer there, that's disappointing.  Or did I mess that up too?  Removing strict port forward I'm able to get the gui no issue, any help would be appreciated.

 

Thanks

-cb

supervisord 120202.log 35.21 kB · 2 downloads

you are either still specifying a specific tagged release or the 'latest' image you have on disk is out of date, solutions for both:-

 

1. tagged release - go to unraid web ui/docker/left click and select edit for the container/go to 'Repository:' field and remove everything including the colon from the Repository field. e.g.:-

binhex/arch-delugevpn:test

becomes

binhex/arch-delugevpn

2. out of date image - go to unraid web ui/docker/click on 'check for updates' at the bottom, and then select 'update all' - wait for it to finish then check the logs again to confirm its working. 

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.